<?php

//---------------------------------------------------
// Functions for RSS Parser/Creator
// created 19 Apr 2004 by tanguy at pruvot.org
//---------------------------------------------------

function assemble_url($base_url,$new_url) {

	//Permet de recalculer un chemin a partir d'un chemin de base
	//et d'une page relative ("../page.htm" "./page.htm")

	$base_url = substr($base_url,0,strrpos($base_url,"/"));

	if (strpos($new_url,"://")===false) {
		//rp. url  ajouter
		if (strpos("-".$new_url,"../")==1) {
			while ($new_url!="" && strpos("-".$new_url,"../")==1) {
				$base_url = substr($base_url,0,strrpos($base_url,"/"));
				$new_url  = substr($new_url,3,strlen($new_url)-3);
			}
			$new_url = $base_url."/".$new_url;
		} else if (strpos("-".$new_url,"./")==1) {
			$new_url = substr($new_url,2,strlen($new_url)-2);
			$new_url = $base_url."/".$new_url;
		} else if (strpos("-".$new_url,"/")==1) {
			$new_url = eregi_replace("(://)([^/]+)/.*","\\1\\2",$base_url)."/".$new_url;
		} else {
			$new_url = $base_url."/".$new_url;
		}
	}

	return $new_url;
}

//-----------------------------------------------------------------

function datefr2ISO8601($datefr,$time="00:00:00+01:00") {
	if (ereg ("([0-9]{1,2})/([0-9]{1,2})/([0-9]{4})", $datefr, $regs)) {
		return $regs[3]."-".$regs[2]."-".$regs[1]."T".$time;
	} else 
		return "1970-01-01T00:00:00+00:00";
}

//-----------------------------------------------------------------

function trim_br($text) {

	$modified=true;
	while ($modified) {
		$modified=false;
		while (strpos("-".$text,"<br>")==1) {
			$text = substr($text,4,strlen($text)-4);
			$modified=true;
		}
		while (strrpos($text,"<br>")==strlen($text)-4) {
			$text = substr($text,0,strlen($text)-4);
			$modified=true;
		}
		$new_text=str_replace(""," ",$text); // Char 0160 &nbsp; to space
		if ($text!=$new_text) {
			$text=$new_text;
			$modified=true;
		}
		$new_text=str_replace("  "," ",$text);
		if ($text!=$new_text) {
			$text=$new_text;
			$modified=true;
		}
		$new_text=trim($text);
		if ($text!=$new_text) {
			$text=$new_text;
			$modified=true;
		}
		$new_text=trim($text,":");
		if ($text!=$new_text) {
			$text=$new_text;
			$modified=true;
		}
	}

	return $text;
}

//-----------------------------------------------------------------


?>